🚀 Fansly API (Alpha) is live!WIP - Updated Daily
Fansly API Logo
Payouts & Wallet

Get List of Payout Methods

Retrieve a list of saved payout methods for an account.

This endpoint retrieves all payout methods associated with a specific account.

https://v1.apifansly.com
GET
/api/fansly/{account_id}/payout/get

Get Started

All requests to the Fansly API require an API Key. See the Authentication page for details.

curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/payout/get" \
  -H "x-api-key: YOUR_API_KEY"
fetch("https://v1.apifansly.com/api/fansly/{account_id}/payout/get", {
  method: "GET",
  headers: {
    "x-api-key": "YOUR_API_KEY"
  }
})
.then(response => response.json())
.then(data => console.log(data));
import requests

url = "https://v1.apifansly.com/api/fansly/{account_id}/payout/get"
headers = {
    "x-api-key": "YOUR_API_KEY"
}

response = requests.get(url, headers=headers)
print(response.json())
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/payout/get"))
        .header("x-api-key", "YOUR_API_KEY")
        .GET()
        .build();

client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
        .thenApply(HttpResponse::body)
        .thenAccept(System.out::println)
        .join();
using System.Net.Http;
using System.Threading.Tasks;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");

var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/payout/get");
var responseString = await response.Content.ReadAsStringAsync();

Console.WriteLine(responseString);
package main

import (
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://v1.apifansly.com/api/fansly/{account_id}/payout/get"
    req, _ := http.NewRequest("GET", url, nil)
    req.Header.Set("x-api-key", "YOUR_API_KEY")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}

Path Variables

account_id*
string
The unique identifier for the account.

Response

Success Response (200 OK)

{
    "statusCode": 200,
    "message": "Success",
    "data": {
        "status_code": 200,
        "data": {
            "success": true,
            "response": [
                {
                    "id": "87582xxxxxxxxxxxx",
                    "accountId": "865xxxxxxxxxxxx",
                    "providerId": "2",
                    "type": 1,
                    "flags": 0,
                    "status": 3,
                    "metadata": "{\"email\":\"xxxxxxxxx@gmail.com\"}",
                    "version": 0
                },
                {
                    "id": "87582xxxxxxxxxxxx",
                    "accountId": "865xxxxxxxxxxxx",
                    "providerId": "30",
                    "type": 1,
                    "flags": 0,
                    "status": 3,
                    "metadata": "{\"field0\":\"87594xxxxxxxxxxxx\",\"field1\":\"XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXu6pZ\",\"field2\":\"USDT\",\"field3\":\"\",\"field4\":\"\",\"field5\":\"\",\"field6\":\"\",\"field7\":\"\",\"field8\":\"\",\"field9\":\"\",\"field10\":\"\"}",
                    "version": 0
                }
            ]
        }
  },
  "timestamp": "2026-02-06T00:11:03.816Z"
}

On this page